apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization

resources:
# Deploy the Vault access secret
- namespace.yaml
- secret-token.yaml

# Deploy the repositories
- repositories.yaml

# Deploy the CRDs
- deployment-crds.yaml

# Deploy the operator
- deployment.yaml

# Deploy default Custom Resources from 'crs' directory
# INFO: This depends on the CRDs deployment. Will happen after it
- deployment-crs.yaml
